Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001032Core InformActionspublic2012-10-17 11:232014-05-07 07:33
Reportermattweiner 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.7
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001032: Contrary to WI 9.16, conditions like "If we have taken the lantern" become true if the player persuades an NPC to try the action
DescriptionSection 9.16 part 6 includes this:

"6. Talking about past events. Finally, we are allowed to write conditions about things the player is doing or has done, as in

if taking a container, ... (currently)
if we have taken the lantern, ... (ever)"

But "if we have..." is true whenever a non-player actor has been persuaded to try the action. See the attached source text.
Minimal Source Text To Reproduce
Auditorium is a room. Kelly is a woman in Auditorium.
Persuasion rule: persuasion succeeds.

Every turn:
	if singing, say "Currently singing."
Every turn when we have sung: say "SInging succeeded."

Test me with "Kelly, sing/z/sing".
Additional InformationNote that "if singing" appears to apply only to the player.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0001903)
EmacsUser (manager)
2012-10-17 11:56

WI 9.12 introduces the syntax; I mention it here for the sake of future searches.
(0001905)
mattweiner (reporter)
2012-10-18 03:58

I wondered if this was going to become a bug... if it's not the desired behavior for "When we have sung" to obtain when Kelly has sung, is there any syntax we can use to check "When anyone has sung" or for that matter "When Kelly has sung"?

See http://www.intfiction.org/forum/viewtopic.php?p=43337#p43337 [^] for where I was using this.
(0002392)
graham (administrator)
2014-01-27 10:33

The present behaviour is correct, so I've clarified the documentation, which was vague on this.

- Issue History
Date Modified Username Field Change
2012-10-17 11:23 mattweiner New Issue
2012-10-17 11:50 EmacsUser Project Documentation, Examples, and Web Site => Core Inform
2012-10-17 11:54 EmacsUser Effect => (serious/mild) Game compiles but misbehaves
2012-10-17 11:54 EmacsUser Status new => confirmed
2012-10-17 11:54 EmacsUser Category Writing with Inform => Actions
2012-10-17 11:54 EmacsUser Summary Section 9.16 incorrectly suggests that "If we have taken the lantern" applies only to the player => Contrary to WI 9.16, conditions like "If we have taken the lantern" become true if the player persuades an NPC to try the action
2012-10-17 11:54 EmacsUser Description Updated View Revisions
2012-10-17 11:56 EmacsUser Note Added: 0001903
2012-10-18 03:58 mattweiner Note Added: 0001905
2014-01-27 10:33 graham Note Added: 0002392
2014-01-27 10:33 graham Status confirmed => resolved
2014-01-27 10:33 graham Resolution open => fixed
2014-01-27 10:33 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker